// Made by Willy, licensed under the Creative Commons - GNU 
// GPL license. 
// RADDS LCD

iu = 2/sqrt(3); // Faktor für $fn=6 cylinder damit Bohrung passt
iu8 = 2*(sqrt(2)-1)/sqrt(2-sqrt(2)); // Faktor für $fn=8 cylinder 


// Gehaeuse:
difference() {
 rotate([180, 0, 0]) {
   translate([0, 0, -1.2])
   linear_extrude(file = "LCD_Box_1.dxf", height = 1.2, $fn=30,
   convexity = 10);
   translate([0, 0, -1.2-10])
   linear_extrude(file = "LCD_Box_2.dxf", height = 10, $fn=30,
   convexity = 10);
   translate([0, 0, -1.2-10-5.25])
   linear_extrude(file = "LCD_Box_3.dxf", height = 5.3, $fn=30,
   convexity = 10);
   translate([0, 0, -1.2-10-5.2-8.8])
   linear_extrude(file = "LCD_Box_4.dxf", height = 8.8, $fn=30,
   convexity = 10);
   translate([0, 0, -1.2-10-5.2-8.8-1.2])
   linear_extrude(file = "LCD_Box_5.dxf", height = 1.2, $fn=30,
   convexity = 10);
 }
 translate([10.5, -100, 1.21]) cube([1, 120, 20]);
 translate([85.5, -100, 1.21]) cube([1, 120, 20]);
 translate([48.0, -100, 1.21]) cube([1, 120, 20]);
 translate([-10, -6, 1.21]) cube([200, 1, 20]);
 translate([-10, -47, 1.21]) cube([200, 1, 20]);
}

// Drehknopf:
translate([15, -20, 5.0]) difference() {
  union() {
    translate([-0, 0, -4.5]) 
      cylinder(h = 1.0, r1 = 9.5, r2 = 10, $fn = 72, center=true);
    translate([-0, 0, 0.5]) 
      cylinder(h = 9.0, r = 10, $fn = 72, center=true);
  }
  translate([0, 0, 5.0]) rotate([0,0,90])
    cylinder(h = 10.0, r = 3.1, $fn = 20, center=true);
  for (i = [0:11]) {
  rotate([0, 0, i * 30]) translate([11.9, 0, 0]) rotate([0,0,90])
    cylinder(h = 20.0, r = 2.5, $fn = 20, center=true);
  }
  // Bohrung M3:
  translate([0, 7, 2.5]) rotate([90,0,0])
    cylinder(h = 12, r = 1.4*iu, $fn = 6, center=true);
}

// Drueckknoepfe:
translate([40, -20, 0]) difference() {
 union() {
  translate([0, 0, 2.4]) 
    cube([10, 10, 4.8], center=true);
  translate([0, 0, 0.65 + 4.8]) 
    cube([8.5, 8.5, 1.7], center=true);
 }
 translate([0, 0, -0.5]) rotate([0,0,90])
   cylinder(h = 5, r = 2, $fn = 20, center=true);
}

translate([55, -20, 0]) difference() {
 union() {
  translate([0, 0, 2.4]) 
    cube([10, 10, 4.8], center=true);
  translate([0, 0, 0.65 + 4.8]) 
    cube([8.5, 8.5, 1.7], center=true);
 }
 translate([0, 0, -0.5]) rotate([0,0,90])
   cylinder(h = 5, r = 2, $fn = 20, center=true);
}







